Index: /pjproject/trunk/pjnath/src/pjnath/stun_session.c
===================================================================
--- /pjproject/trunk/pjnath/src/pjnath/stun_session.c	(revision 4536)
+++ /pjproject/trunk/pjnath/src/pjnath/stun_session.c	(revision 4537)
@@ -954,5 +954,5 @@
 
     /* Dump packet */
-    dump_tx_msg(sess, tdata->msg, tdata->pkt_size, server);
+    dump_tx_msg(sess, tdata->msg, (unsigned)tdata->pkt_size, server);
 
     /* If this is a STUN request message, then send the request with
@@ -974,5 +974,6 @@
 	/* Send the request! */
 	status = pj_stun_client_tsx_send_msg(tdata->client_tsx, retransmit,
-					     tdata->pkt, tdata->pkt_size);
+					     tdata->pkt, 
+					     (unsigned)tdata->pkt_size);
 	if (status != PJ_SUCCESS && status != PJ_EPENDING) {
 	    pj_stun_msg_destroy_tdata(sess, tdata);
@@ -1166,8 +1167,8 @@
 
     /* Print log */
-    dump_tx_msg(sess, response, out_len, addr);
+    dump_tx_msg(sess, response, (unsigned)out_len, addr);
 
     /* Send packet */
-    status = sess->cb.on_send_msg(sess, token, out_pkt, out_len, 
+    status = sess->cb.on_send_msg(sess, token, out_pkt, (unsigned)out_len, 
 				  addr, addr_len);
 
@@ -1443,5 +1444,5 @@
     }
 
-    dump_rx_msg(sess, msg, pkt_size, src_addr);
+    dump_rx_msg(sess, msg, (unsigned)pkt_size, src_addr);
 
     /* For requests, check if we have cached response */
@@ -1457,11 +1458,13 @@
     {
 	status = on_incoming_response(sess, options, 
-				      (const pj_uint8_t*) packet, pkt_size, 
-				      msg, src_addr, src_addr_len);
+				      (const pj_uint8_t*) packet, 
+				      (unsigned)pkt_size, msg, 
+				      src_addr, src_addr_len);
 
     } else if (PJ_STUN_IS_REQUEST(msg->hdr.type)) {
 
 	status = on_incoming_request(sess, options, token, sess->rx_pool, 
-				     (const pj_uint8_t*) packet, pkt_size, 
+				     (const pj_uint8_t*) packet, 
+				     (unsigned)pkt_size, 
 				     msg, src_addr, src_addr_len);
 
@@ -1469,6 +1472,7 @@
 
 	status = on_incoming_indication(sess, token, sess->rx_pool, 
-					(const pj_uint8_t*) packet, pkt_size,
-					msg, src_addr, src_addr_len);
+					(const pj_uint8_t*) packet, 
+					(unsigned)pkt_size, msg, src_addr, 
+					src_addr_len);
 
     } else {
Index: /pjproject/trunk/pjnath/src/pjnath/stun_sock.c
===================================================================
--- /pjproject/trunk/pjnath/src/pjnath/stun_sock.c	(revision 4536)
+++ /pjproject/trunk/pjnath/src/pjnath/stun_sock.c	(revision 4537)
@@ -120,5 +120,5 @@
 static void ka_timer_cb(pj_timer_heap_t *th, pj_timer_entry *te);
 
-#define INTERNAL_MSG_TOKEN  (void*)1
+#define INTERNAL_MSG_TOKEN  (void*)(pj_ssize_t)1
 
 
@@ -910,5 +910,5 @@
 	pj_bool_t ret;
 
-	ret = (*stun_sock->cb.on_rx_data)(stun_sock, data, size,
+	ret = (*stun_sock->cb.on_rx_data)(stun_sock, data, (unsigned)size,
 					  src_addr, addr_len);
 	status = pj_grp_lock_release(stun_sock->grp_lock);
Index: /pjproject/trunk/pjnath/src/pjnath/turn_session.c
===================================================================
--- /pjproject/trunk/pjnath/src/pjnath/turn_session.c	(revision 4536)
+++ /pjproject/trunk/pjnath/src/pjnath/turn_session.c	(revision 4537)
@@ -808,5 +808,5 @@
      * which the request belongs.
      */
-    req_token = (void*)(long)pj_rand();
+    req_token = (void*)(pj_ssize_t)pj_rand();
 
     /* Process the addresses */
@@ -1024,5 +1024,6 @@
 
 	/* Send the Send Indication */
-	status = sess->cb.on_send_pkt(sess, sess->tx_pkt, send_ind_len,
+	status = sess->cb.on_send_pkt(sess, sess->tx_pkt, 
+				      (unsigned)send_ind_len,
 				      sess->srv_addr,
 				      pj_sockaddr_get_len(sess->srv_addr));
@@ -1208,5 +1209,6 @@
 
     sess = (pj_turn_session*) pj_stun_session_get_user_data(stun);
-    return (*sess->cb.on_send_pkt)(sess, (const pj_uint8_t*)pkt, pkt_size, 
+    return (*sess->cb.on_send_pkt)(sess, (const pj_uint8_t*)pkt, 
+				   (unsigned)pkt_size, 
 				   dst_addr, addr_len);
 }
@@ -1888,5 +1890,5 @@
 		     * structures which the request belongs.
 		     */
-		    req_token = (void*)(long)pj_rand();
+		    req_token = (void*)(pj_ssize_t)pj_rand();
 		}
 
Index: /pjproject/trunk/pjnath/src/pjnath/turn_sock.c
===================================================================
--- /pjproject/trunk/pjnath/src/pjnath/turn_sock.c	(revision 4536)
+++ /pjproject/trunk/pjnath/src/pjnath/turn_sock.c	(revision 4537)
@@ -541,5 +541,5 @@
 
     if (turn_sock->conn_type == PJ_TURN_TP_UDP)
-	return bufsize;
+	return (unsigned)bufsize;
 
     /* Quickly check if this is STUN message, by checking the first two bits and
@@ -551,5 +551,5 @@
     if (is_stun) {
 	pj_size_t msg_len = GETVAL16H((const pj_uint8_t*)buf, 2);
-	return (msg_len+20 <= bufsize) ? msg_len+20 : 0;
+	return (unsigned)((msg_len+20 <= bufsize) ? msg_len+20 : 0);
     } else {
 	/* This must be ChannelData. */
